org.apache.ivy.osgi.p2

## Class P2Descriptor

- java.lang.Object
- - org.apache.ivy.osgi.repo.RepoDescriptor
  - - org.apache.ivy.osgi.repo.EditableRepoDescriptor
    - - org.apache.ivy.osgi.p2.P2Descriptor

    public class P2Descriptor
    extends EditableRepoDescriptor

### Constructor Summary

Constructors
Constructor and Description
`P2Descriptor(java.net.URI repoUri, ExecutionEnvironmentProfileProvider profileProvider)`

### Method Summary

Methods
`void` `addArtifactUrl(java.lang.String classifier, java.lang.String id, Version version, java.net.URI uri, java.lang.String format)`
`void` `addBundle(BundleInfo bundleInfo)`
`void` `finish()`

### Methods inherited from class org.apache.ivy.osgi.repo.EditableRepoDescriptor

`equals, findModule, findModules, getBaseUri, getCapabilities, getCapabilityValues, getLogLevel, getModules, hashCode, setLogLevel, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### P2Descriptor

    public P2Descriptor(java.net.URI repoUri,
                ExecutionEnvironmentProfileProvider profileProvider)

### Method Detail

#### addBundle

    public void addBundle(BundleInfo bundleInfo)

Overrides:
  `addBundle` in class `EditableRepoDescriptor`

#### finish

    public void finish()

#### addArtifactUrl

    public void addArtifactUrl(java.lang.String classifier,
                      java.lang.String id,
                      Version version,
                      java.net.URI uri,
                      java.lang.String format)